﻿IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SUPNOT' AND COLUMN_NAME = 'SUPN')
	AND NOT EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.CONSTRAINT_TABLE_USAGE WHERE TABLE_NAME = 'SUPNOT' AND CONSTRAINT_NAME = 'FK_SUPNOT_SUPMAS')
BEGIN 
PRINT 'Creating foreign key FK_SUPNOT_SUPMAS on table SUPNOT'
ALTER TABLE [dbo].[SUPNOT]  WITH CHECK ADD  CONSTRAINT [FK_SUPNOT_SUPMAS] FOREIGN KEY([SUPN])
REFERENCES [SUPMAS] ([SUPN])
ON DELETE CASCADE
END
GO

